"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _shiki = require("shiki");

var _renderer = require("../renderer");

const CodeBlock = props => {
  const {
    lines,
    dataId,
    ...attr
  } = props;
  return /*#__PURE__*/_react.default.createElement(_renderer.OptionsContext.Consumer, null, options => /*#__PURE__*/_react.default.createElement("pre", attr, /*#__PURE__*/_react.default.createElement("code", {
    id: `code-${dataId}`,
    className: `${options.classPrefix}-code`
  }, lines.map(l => /*#__PURE__*/_react.default.createElement("div", {
    key: l.toString(),
    className: "line"
  }, l.map(token => {
    const cssDeclarations = {};
    if (token.color) cssDeclarations.color = token.color;
    if (token.fontStyle & _shiki.FontStyle.Italic) cssDeclarations.fontStyle = "italic";
    if (token.fontStyle & _shiki.FontStyle.Bold) cssDeclarations.fontWeight = "bold";
    if (token.fontStyle & _shiki.FontStyle.Underline) cssDeclarations.textDecoration = "underline";
    return /*#__PURE__*/_react.default.createElement("span", {
      key: token.content,
      style: cssDeclarations
    }, token.content);
  }))))));
};

var _default = CodeBlock;
exports.default = _default;