"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.OptionsContext = void 0;
exports.renderToHtml = renderToHtml;

var _react = _interopRequireWildcard(require("react"));

var _server = require("react-dom/server");

var _CodeBlock = _interopRequireDefault(require("./component/CodeBlock"));

var _CopyButton = _interopRequireDefault(require("./component/CopyButton"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const OptionsContext = /*#__PURE__*/(0, _react.createContext)({});
exports.OptionsContext = OptionsContext;

function renderToHtml(lines, options = {}) {
  const {
    bg = "#fff",
    fg = "#000",
    langId = "",
    classPrefix
  } = options;
  const randomId = Math.floor(Math.random() * 65535);

  const node = /*#__PURE__*/_react.default.createElement(OptionsContext.Provider, {
    value: options
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: classPrefix
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: `${classPrefix}-toolbar`
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: `${classPrefix}-language-id`
  }, langId), /*#__PURE__*/_react.default.createElement(_CopyButton.default, {
    copyDataId: randomId
  })), /*#__PURE__*/_react.default.createElement(_CodeBlock.default, {
    dataId: randomId,
    lines: lines,
    style: {
      backgroundColor: bg,
      color: fg,
      padding: "0.725rem 0.725rem"
    },
    className: `${classPrefix}-${langId}`
  })));

  return (0, _server.renderToString)(node);
}